close all;
clear all;
% Definir o sistema

Num = [0 1]
Den = [1 -.25]

%Encontra a resposta impulsiva com n pontos

n = 5;
y1 = dimpulse(Num, Den, n);

%Imprime a resposta
figure, stem(y1);

%Cria o sistema
MatrizA = diag(ones(n-2,1),-1);
MatrizB = zeros(n-1,1); MatrizB(1) = 1;
MatrizC = y1(2:n)';
MatrizD = y1(1);

y2 = dimpulse(MatrizA,MatrizB,MatrizC,MatrizD,1, n);    

figure, stem(y2);

H = zeros(n-1);
H(1,1:n-1) = MatrizC(1:n-1);
H(2,1:n-2) = MatrizC(1:n-2);
H(3,1:n-3) = MatrizC(1:n-3);
H(4,1:n-4) = MatrizC(1:n-4)